Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class NotationImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.NotationImpl

Direct Known Subclasses:
  DeferredNotationImpl

public class NotationImpl
extends NodeImpl
implements org.w3c.dom.Notation

Notations are how the Document Type Description (DTD) records hints about the format of an XML "unparsed entity" -- in other words, non-XML data bound to this document type, which some applications may wish to consult when manipulating the document. A Notation represents a name-value pair, with its nodeName being set to the declared name of the notation.

Notations are also used to formally declare the "targets" of Processing Instructions.

Note that the Notation's data is non-DOM information; the DOM only records what and where it is.

See the XML 1.0 spec, sections 4.7 and 2.6, for more info.

Level 1 of the DOM does not support editing Notation contents.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `name` Notation name.
`protected java.lang.String` | `publicId` Public identifier.
`protected java.lang.String` | `systemId` System identifier.

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Constructor Summary
`NotationImpl(CoreDocumentImpl ownerDoc, java.lang.String name)` Factory constructor.

Method Summary
`java.lang.String` | `getNodeName()` Returns the notation name
`short` | `getNodeType()` A short integer indicating what type of node this is.
`java.lang.String` | `getPublicId()` The Public Identifier for this Notation.
`java.lang.String` | `getSystemId()` The System Identifier for this Notation.
`void` | `setPublicId(java.lang.String id)` NON-DOM: The Public Identifier for this Notation.
`void` | `setSystemId(java.lang.String id)` NON-DOM: The System Identifier for this Notation.

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, cloneNode, dispatchEvent, getAttributes, getChildNodes, getFirstChild, getLastChild, getLength, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getReadOnly, getUserData, hasAttributes, hasChildNodes, insertBefore, isSupported, item, normalize, removeChild, removeEventListener, replaceChild, setNodeValue, setPrefix, setReadOnly, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  Notation name.

### publicId

    protected java.lang.String publicId

  Public identifier.

### systemId

    protected java.lang.String systemId

  System identifier.

Constructor Detail

### NotationImpl

    public NotationImpl(CoreDocumentImpl ownerDoc,
                        java.lang.String name)

  Factory constructor.

Method Detail

### getNodeType

    public short getNodeType()

  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.

  Overrides:
    getNodeType in class NodeImpl

### getNodeName

    public java.lang.String getNodeName()

  Returns the notation name

  Overrides:
    getNodeName in class NodeImpl

### getPublicId

    public java.lang.String getPublicId()

  The Public Identifier for this Notation. If no public identifier was specified, this will be null.
  Specified by:
    getPublicId in interface org.w3c.dom.Notation

### getSystemId

    public java.lang.String getSystemId()

  The System Identifier for this Notation. If no system identifier was specified, this will be null.
  Specified by:
    getSystemId in interface org.w3c.dom.Notation

### setPublicId

    public void setPublicId(java.lang.String id)

  NON-DOM: The Public Identifier for this Notation. If no public identifier was specified, this will be null.

### setSystemId

    public void setSystemId(java.lang.String id)

  NON-DOM: The System Identifier for this Notation. If no system identifier was specified, this will be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference